/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */
package org.fabric3.pojo.instancefactory;

import org.fabric3.spi.builder.BuilderException;

/**
 * The builder exception for IF provider.
 *
 * @version $Revision: 221 $ $Date: 2007-06-14 00:07:09 +0100 (Thu, 14 Jun 2007) $
 */
@SuppressWarnings("serial")
public class InstanceFactoryBuilderException extends BuilderException {

    /**
     * Initializes the message.
     *
     * @param message Initializes the message.
     */
    public InstanceFactoryBuilderException(String message) {
        super(message);
    }

    /**
     * Initil
     * @param message
     * @param identifier
     */
    public InstanceFactoryBuilderException(String message, String identifier) {
        super(message, identifier);
    }

    /**
     * Initializes the causer.
     *
     * @param cause Initializes the cause.
     */
    public InstanceFactoryBuilderException(Throwable cause) {
        super(cause);
    }

    public InstanceFactoryBuilderException(String message, String identifier, Throwable cause) {
        super(message, identifier, cause);
    }
}
